Summary:	KDE Frameworks 5 mail importer module
Name:		mailimporter
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5mime-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 mail importer module.

%files
%{_kde5_sysconfdir}/xdg/mailimporter.categories
%{_kde5_sysconfdir}/xdg/mailimporter.renamecategories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 mail importer library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 mail importer library translations.

%files i18n -f libmailimporter.lang

#----------------------------------------------------------------------------

%define kf5mailimporter_major 5
%define libkf5mailimporter %mklibname kf5mailimporter %{kf5mailimporter_major}

%package -n %{libkf5mailimporter}
Summary:	KDE Frameworks 5 mail importer shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5mailimporter}
KDE Frameworks 5 mail importer shared library.

%files -n %{libkf5mailimporter}
%{_kde5_libdir}/libKF5MailImporter.so.%{kf5mailimporter_major}*

#----------------------------------------------------------------------------

%define kf5mailimporterakonadi_major 5
%define libkf5mailimporterakonadi %mklibname kf5mailimporterakonadi %{kf5mailimporterakonadi_major}

%package -n %{libkf5mailimporterakonadi}
Summary:	KDE Frameworks 5 Akonadi mail importer shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5mailimporterakonadi}
KDE Frameworks 5 Akonadi mail importer shared library.

%files -n %{libkf5mailimporterakonadi}
%{_kde5_libdir}/libKF5MailImporterAkonadi.so.%{kf5mailimporterakonadi_major}*

#----------------------------------------------------------------------------

%define devkf5mailimporter %mklibname kf5mailimporter -d

%package -n %{devkf5mailimporter}
Summary:	Development files for KDE Frameworks 5 mail importer module
Group:		Development/KDE and Qt
Requires:	%{libkf5mailimporter} = %{EVRD}
Requires:	%{libkf5mailimporterakonadi} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5mailimporter-devel = %{version}
Provides:	kf5mailimporterakonadi-devel = %{version}

%description -n %{devkf5mailimporter}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5mailimporter}
%{_kde5_includedir}/KF5/MailImporter
%{_kde5_includedir}/KF5/MailImporterAkonadi
%{_kde5_includedir}/KF5/mailimporter
%{_kde5_includedir}/KF5/mailimporterakonadi
%{_kde5_includedir}/KF5/mailimporter_version.h
%{_kde5_includedir}/KF5/mailimporterakonadi_version.h
%{_kde5_libdir}/cmake/KF5MailImporter
%{_kde5_libdir}/cmake/KF5MailImporterAkonadi
%{_kde5_libdir}/libKF5MailImporter.so
%{_kde5_libdir}/libKF5MailImporterAkonadi.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libmailimporter --with-kde
%kf5locales_fix libmailimporter.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (98fd7ea) New version 17.08.2


